Fritz15 Update Error

Discussion of anything and everything relating to chess playing software and machines.

Moderators: hgm, Harvey Williamson, bob

Forum rules
This textbox is used to restore diagrams posted with the [d] tag before the upgrade.
User avatar
Ampzilla
Posts: 378
Joined: Wed Mar 08, 2006 11:35 pm

Fritz15 Update Error

Post by Ampzilla » Sat Dec 02, 2017 2:56 pm

When I try two update Fritz 15 I get this

Any help

InterlockedCompareExchange64 could not be found in kernel32.dll

Thanks

tpoppins
Posts: 918
Joined: Tue Nov 24, 2015 8:11 pm
Location: upstate

Re: Fritz15 Update Error

Post by tpoppins » Sat Dec 02, 2017 5:05 pm

Are you running it under WinXP? The "InterlockedCompareExchange64" function requires Vista as the minimum.

I wonder if it's the latest update (v29 from Nov 23) that introduced it. You can try to reinstall v26 (Nov 11) to see if it works for you. If it doesn't, I have a few older updates backed up, the latest of which is v24 from June 30.

User avatar
Ampzilla
Posts: 378
Joined: Wed Mar 08, 2006 11:35 pm

Re: Fritz15 Update Error

Post by Ampzilla » Sat Dec 02, 2017 5:53 pm

Am running XP 32bit

User avatar
F.Huber
Posts: 778
Joined: Thu Mar 09, 2006 3:50 pm
Location: Austria
Contact:

Re: Fritz15 Update Error

Post by F.Huber » Sat Dec 02, 2017 6:41 pm

Ampzilla wrote:Am running XP 32bit
No chance - since Jan. 2017 ChessBase has changed the compiler, and so all updates require at least Windows 7 (they don't even run on Vista).

The last updates which still run under WinXP are from 5. Dec. 2016.

Franz

nitrocan
Posts: 17
Joined: Fri Sep 15, 2017 9:52 pm

Re: Fritz15 Update Error

Post by nitrocan » Sun Dec 03, 2017 12:31 am

Ampzilla wrote:Am running XP 32bit
How is this even possible?

Norbert Raimund Leisner
Posts: 1565
Joined: Tue May 20, 2008 2:57 pm
Location: Augsburg - Germany

Re: Fritz15 Update Error

Post by Norbert Raimund Leisner » Sun Dec 03, 2017 10:04 am

InterlockedCompareExchange64 could not be found in kernel32.dll seems to be a problem that generally concerns Windows XP

https://groups.google.com/forum/#!topic ... nxCZgG_r4A

https://jira.mongodb.org/browse/SERVER-6755

https://forums.embarcadero.com/message. ... eID=828054

By the way: Fritz 16 has a Windows 7 OS that it at least required to run this application.

Norbert

User avatar
Nordlandia
Posts: 2253
Joined: Fri Sep 25, 2015 7:38 pm
Location: Sortland, Norway

Re: Fritz15 Update Error

Post by Nordlandia » Sun Dec 03, 2017 10:43 am

Why do some people still use XP in 2017?

Windows XP is practically an antique in computer terms.

ernest
Posts: 1828
Joined: Wed Mar 08, 2006 7:30 pm

Re: Fritz15 Update Error

Post by ernest » Sun Dec 03, 2017 10:01 pm

Nordlandia wrote:Why do some people still use XP in 2017?
Simply because updating the O.S. is a mess, fella !
And XP, when it works, works perfectly (especially the 64-bit)... 8-)

Norbert Raimund Leisner
Posts: 1565
Joined: Tue May 20, 2008 2:57 pm
Location: Augsburg - Germany

Re: Fritz15 Update Error

Post by Norbert Raimund Leisner » Mon Dec 04, 2017 9:11 am

Here is a description for Mac OS X High Sierra users:
https://www.imore.com/macos-has-root-bug
https://9to5mac.com/2017/11/29/macos-root-fix/

Norbert

Dariusz
Posts: 109
Joined: Sat Jun 13, 2015 8:08 am
Location: Poland

Re: Fritz15 Update Error

Post by Dariusz » Thu Nov 22, 2018 12:25 pm

Nordlandia wrote:
Sun Dec 03, 2017 10:43 am
Why do some people still use XP in 2017?

Windows XP is practically an antique in computer terms.
Windows XP is very useful for macOS users which need ChessBase programs and they won't other alternatives (BootCamp, CrossOver).
Unfortunately, ChessBase doesn't support natively Mac.
Solution: put Windows XP to virtual machine (eg. Virtual Box, Parallels Desktop, VMware Fusion) and install allmost any CB program.

For example, ChessBase 13, Fritz 15 working good and very fast on Windows XP virtual machine.

Compare to Windows 7/10, Windows XP has tiny requirements. 10GB on hdd/ssd, 512MB ram -> is enough.
Regards, Dariusz

Post Reply